<?xml version="1.0"?>
<confixx >
  <version>
	<config version="3.0.1"/>
  </version>
  <data>
	<table name="admin" safe="login,userprefix,standardip" unclean="yes">
	  <field name="standardip" type="ip"/>
	</table>
		<!-- 
			o.r.: admin, longpw 
			map.: userprefix, hostname, ip_pns, ip_sns
		-->

	<!--anbieter-->
	<table name="anbieter" safe="anbieter,standardip" id="anbieter">
	  <field name="standardip" type="ip" />
	  <field name="number" unique="yes"/>
	  <field name="anbieter" buildin="res0"/>
	</table>
		<!-- map.: standard_ip, pns, sns -->
	<!--/anbieter-->
	<!--kunde-->
	<table name="kunden" safe="kunde,uid,anbieter,ip" id="kunde">
	  <field name="anbieter" link="anbieter.anbieter" />
	  <field name="kunde" type="account"/>
	  <field name="neu" new="1" />
	  <field name="scponly" new="2" new_if="1" />
	  <field name="pw" new="1" />
	  <field name="ip" type="ip" />	
	  <field name="uid" type="uid" safe="yes" />	
	  <field name="language" safe="yes"/>	
	  <field name="number" unique="yes"/>
	</table>

	<table name="pop3" id="account">
	  <field name="kunde" link="kunden.kunde" safe="yes"/>
	  <field name="anbieter" link="anbieter.anbieter" safe="yes"/>
	  <field name="neu" new="1"/>
	  <field name="uid" type="uid" safe="yes"/>
	  <field name="account" type="account" safe="yes"/>
	  <field name="language" safe="yes"/>	
	</table>

	<table name="ftp" id="account">
	  <field name="kunde" link="kunden.kunde" safe="yes"/>
	  <field name="anbieter" link="anbieter.anbieter" safe="yes"/>
	  <field name="uid" type="uid" safe="yes"/>
	  <field name="neu" new="1"/>
	  <field name="account" type="account"  safe="yes"/>
	  <field name="language" safe="yes"/>	
	</table>

	<table name="ipadressen" safe="ip,anbieter,kunde" id="ip" unclean="yes" order="anbieter">
	  <field name="anbieter" link="anbieter.anbieter" safe="yes"/>
	  <field name="kunde" link="kunden.kunde" safe="yes"/>
	  <field name="ip" type="ip"/>
	</table>

	<table name="iprestriction" id="id">
	  <field name="ip" safe="yes"/>
	  <field name="rest" safe="yes"/>	
	</table>  

		<!--
			map.: ip
		-->

	<table name="domains" safe="domain,kunde,anbieter,richtigedomain" id="id" order="richtigedomain" >
	  <field name="anbieter" link="anbieter.anbieter" safe="yes"/>
	  <field name="kunde" link="kunden.kunde" safe="yes"/>
	  <field name="domain" unique="yes" type="url"/>	
	</table>

   <table name="atdomains" id="id">
    <field name="id_from" link="domains.id"/>
   </table>

	<table name="custom_skins" id="id" noclean="yes">
	  <field name="anbieter" safe="yes" link="anbieter.anbieter"/>
	  <field name="owner_type" safe="yes"/>
	  <field name="name" safe="yes"/>
	  <field name="version" safe="yes"/>
	</table>
	
	<table name="angebote" safe="ident,name,anbieter" id="ident">
	  <field name="anbieter" link="anbieter.anbieter" safe="yes"/>
	</table>
		<!-- Templates. Currently: of users only, belongs to reseller. -->
	<table name="bdefault"/>
		<!-- The server to connect by default (see bmysql table). The only record. -->
	<table name="bmysql" id="KeyServer">
	  <field name="ip" type="ip"/>
	</table>
		<!-- Access info for connecting slave servers. -->
<!--	
    <table name="register" safe="seriennummer,hwaddr,version,ip">
	  <field name="ip" type="ip"/>
	  <field name="loginip" type="ip"/>
	  <field name="standardip" type="ip"/>
	</table>
-->  
		<!-- License information. -->
	<table name="skins" safe="cuser" id="cuser" noclean="yes">
	  <field name= "skin_id" link="custom_skins.id"/>	
	  <field name="cuser" buildin="admin"/>
	</table>
	
	<table name="menublock" id="id">
	  <field name="usertype" safe="yes"/>
	</table>  

	<table name="menuitem" id="id">
	  <field name="menublock_id" link="menublock.id"/>
	</table>  
	
		<!-- Current skin of each web panel user. -->
	<table name="ereignisse" safe="ident" id="ident" noclean="yes" order="timestamp">
	  <field name="kunde" link="kunden.kunde" safe="yes"/>
	  <field name="anbieter" link="anbieter.anbieter" safe="yes"/>
	  <field name="script" safe="yes"/>
	</table>  
		<!-- Events table (reported by backend) -->

	<table name="zeiten" rule="admin(*).updateinterval" noclean="yes"/>
		<!-- Stores times of when reconfigure service and when it was reconfgured -->
	
	<table name="email" safe="ident" id="ident">
	  <field name="kunde" link="kunden.kunde" safe="yes"/>
	  <field name="domain" link="domains.domain" safe="yes"/>
	  <field name="anbieter" link="anbieter.anbieter" safe="yes"/>
	  <field name="neu" new="1"/>
	</table>
	
	<table name="fehlermeldungen" id="ident">
	  <field name="kunde" link="kunden.kunde" safe="yes"/>
	  <field name="anbieter" link="anbieter.anbieter" safe="yes"/>
	</table>
	
	<table name="frontpage" >
	  <field name="kunde" link="kunden.kunde" safe="yes"/>
	  <field name="anbieter" link="anbieter.anbieter" safe="yes"/>
	  <field name="domain" link="domains.domain" safe="yes"/>
	  <field name="neu" new="1"/>
	  <field name="pw" new="1"/>
	  <field name="email" new="1"/>
	  <field name="loeschen" del="1" />	
	</table>
	
	<table name="frontpagealias" >
	  <field name="kunde" link="kunden.kunde" safe="yes"/>
	  <field name="anbieter" link="anbieter.anbieter" safe="yes"/>
	  <field name="domain" link="domains.domain" safe="yes"/>
	  <field name="neu" new="1"/>
	  <field name="loeschen" del="1" />	
	</table>
	
	
	<table name="htaccess" id="ident">
	  <field name="kunde" link="kunden.kunde" safe="yes"/>
	</table>
	
	<table name="mysql_datenbanken" id="dbname" noclean="yes">
	  <field name="kunde" link="kunden.kunde" safe="yes"/>
	  <field name="anbieter" link="anbieter.anbieter" safe="yes"/>
	</table>
	
	<table name="perl">
	  <field name="kunde" link="kunden.kunde" safe="yes"/>
	  <field name="anbieter" link="anbieter.anbieter" safe="yes"/>
	  <field name="loeschen" del="1"/>
	  <field name="neu" new="1"/>
	</table>
	
	
	<table name="cronjobs" id="kunde">
	  <field name="kunde" link="kunden.kunde"/>
	  <field name="neu" new="1"/>
	</table>
	
	<table name="pwschutz" id="ident">
	  <field name="kunde" link="kunden.kunde" safe="yes"/>
	  <field name="anbieter" link="anbieter.anbieter" safe="yes"/>
	</table>
	
	<table name="spampref" id="prefid"/>
	
	<table name="users" id="ident">
	  <field name="kunde" link="kunden.kunde" safe="yes"/>
	  <field name="parent" link="pwschutz.ident" />
	</table>
	
	<table name="autoresponder" id="ident">
	  <field name="kunde" link="kunden.kunde" safe="yes"/>
	  <field name="anbieter" link="anbieter.anbieter" safe="yes"/>
	</table>
	
	<table name="cssl" id="kunde">
	  <field name="kunde" link="kunden.kunde" safe="yes"/>
	  <field name="anbieter" link="anbieter.anbieter" safe="yes"/>
	  <field name="neu" new="1"/>
	</table>
	
	<table name="dns" id="domain">
	  <field name="kunde" link="kunden.kunde" safe="yes"/>
	  <field name="anbieter" link="anbieter.anbieter" safe="yes"/>
	  <field name="neu" new="1"/>
	  <field name="domain" link="domains.domain" safe="yes"/>
	</table>
	
	<table name="maillist" id="id" noclean="yes">
	  <field name="domain_id" link="domains.id"/>
	  <field name="neu" new="1" del="3"/>
	</table>
	
	
	<table name="webmail_ab" id="ident"/>
		<!-- Webmail address book data -->
	<table name="webmail_sign" id="ident"/>
		<!-- Signature of webmail user -->
	<table name="webmail_def_from" id="ident"/>
		<!-- Default from address of webmail user -->
	<!--/kunde-->
	<table name="transfer" id="id"  version="3.0.0">
	  <field name="kunde" link="kunden.kunde" safe="yes"/>
	  <field name="anbieter" link="anbieter.anbieter" safe="yes"/>
	</table>
	
	<table name="traffic" id="id">
	  <field name="kunde" link="kunden.kunde" safe="yes"/>
	  <field name="anbieter" link="anbieter.anbieter" safe="yes"/>
	  <field name="maillist_id" link="maillist.id"/>
	</table>
	<!--system-->
	<table name="allgemein"/>
<!--	
	<table name="delaccs" noclean="yes">
	  <field name="kunde" link="kunden.kunde" safe="yes"/>
	  <field name="anbieter" link="anbieter.anbieter" safe="yes"/>
	</table>
-->	
		<!-- Operating system accounts: 
			list of accounts to delete from passwd file
		-->
	<table name="webalizer">
		<!-- Operating over webalizer:
			webalizer.neu     - flag whether to create webalizer support
			webalizer.loechen - flag whether to remove webalizer support
		-->
	  <field name="kunde" link="kunden.kunde" safe="yes"/>
	  <field name="anbieter" link="anbieter.anbieter" safe="yes"/>
	  <field name="neu" new="1"/>
	  <field name="loeschen" del="1"/>
	</table>	
	<table name="domainlog" id="domain">
		<!-- Operating over domain logs (updating symlinks to user log):
			webalizer.neu     - flag whether to create new symlink
			webalizer.loechen - flag whether to remove symlink
		-->
	  <field name="kunde" link="kunden.kunde" safe="yes"/>
	  <field name="anbieter" link="anbieter.anbieter" safe="yes"/>
	  <field name="neu" new="1"/>
	  <field name="domain" link="domains.domain" safe="yes"/>
	  <field name="loeschen" del="1"/>
	</table>	
	<table name="nlinhalt" id="ident"/>
		<!-- Content of news letter (circular). Stored until the letter is sent. -->
	<table name="nladressen" id="ident"/>
		<!-- Recipients of news letter (circular). Stored until the letter is sent. -->
	<table name="billing_del" >
	  <field name="kunde" link="kunden.kunde" safe="yes"/>
	  <field name="anbieter" link="anbieter.anbieter" safe="yes"/>
	</table>	

		<!-- Unknown -->
	<table name="billing_exp">
	  <field name="anbieter" link="anbieter.anbieter" safe="yes"/>
	</table>	

		<!-- Unknown -->
	<table name="webmail_session" id="ident"/>
		<!-- Filled only while somebody operates in poplogin/ section -->
	<table name="restore" id="id">
	  <field name="kunde" link="kunden.kunde" safe="yes"/>
	</table>
		<!-- Operating over restores:
			mysql, html, files - value is a anme of user ordered restoring
		-->
	<table name="backup" id="id">
	  <field name="kunde" link="kunden.kunde" safe="yes"/>
	</table>

		<!-- Operating over backups:
			mysql, html, files - value is a anme of user ordered backuping
		-->
	<table name="grep">
	  <field name="kunde" link="kunden.kunde" safe="yes"/>
	  <field name="type" safe="yes"/>
	</table>
		<!-- Last parsed lines in log -->
	<table name="logout" id="acc"/>
		<!-- (-) Probably, is not used at all -->
	<table name="idn_aliases" safe="id,domain_id" id="id">
	  <field name="domain_id" link="domains.id"/>
	  <field name="neu" new="1"/>
	  <field name="ascii_name" safe="yes" null="1" unique="yes" type="url"/>
	  <field name="idn_name" unique="yes" />
	  
	  <field name="charset" safe="yes"/>	
	</table>	
	
	<!--/system-->
	<table name="personalinfo" id="id" version="3.1.0">
	  <field name="telefon" safe="yes"/>
	  <field name="fax" safe="yes"/>
	</table>
	
	<table name="mailtraffic" id="id" version="3.1.0">
	  <field name="protocol" safe="yes"/>
	  <field name="owner_type" safe="yes"/>
	  <field name="domain_id" link="domains.id"/>
	  <field name="domain_name" safe="yes"/>
	  <field name="date" safe="yes"/>
	</table>

	<table name="limitalert" id="ident" version="3.1.0">
	  <field name="warnsendmode" safe="yes"/>
	  <field name="fullsendmode" safe="yes"/>
	  <field name="locksendmode" safe="yes"/>
	</table>

  </data>
<!--

	Services	

-->
  <service_set>
    <service name="user">
       <limit type="max">
 	  <flag field="anbieter.maxkundenlimit"/>
          <value field="anbieter.maxkunden"/>
       </limit>
    </service>
    <service name="pop" on="1" off="0">
       <flag field="admin.pop" />
       <limit type="max">
 	  <flag field="anbieter.maxpoplimit"/>
          <value field="anbieter.maxpop"/>
          <value field="angebote.maxpop" link="anbieter.maxpop"/>
          <value field="kunden.maxpop" link="anbieter.maxpop"/>
       </limit>
    </service>
    <service name="disk">
       <limit type="max">
          <flag  field="anbieter.maxkblimit"/>
          <value field="anbieter.maxkb"/>
          <value field="angebote.maxkb" link="anbieter.maxkb"/>
       </limit>
    </service>
    <service name="email" on="1" off="0">
       <flag field="admin.email" />
       <flag field="frontpage.email" link="admin.email"/>
       <limit type="max">
	  <flag field="anbieter.maxemaillimit"/>
	  <value field="anbieter.maxemail"/>
          <value field="angebote.maxemail" link="anbieter.maxemail"/>
          <value field="kunden.maxemail" link="anbieter.maxemail"/>
       </limit>
    </service>
    <service name="ftp" on="1" off="0">
       <flag field="admin.ftp"/>
       <flag field="anbieter.ftp" link="admin.ftp"/>
       <flag field="angebote.ftp" link="anbieter.ftp"/>
       <flag field="kunden.ftp" link="anbieter.ftp"/>
       <limit type="max">
	  <flag field="anbieter.maxftplimit"/>
	  <value field="anbieter.maxftp"/>
          <value field="angebote.maxftp" link="anbieter.maxftp"/>
          <value field="kunden.maxftp" link="anbieter.maxftp"/>
       </limit>
    </service>
   <service name="wildcard" off="0">
  	 <limit type="max" unlimit="-1">
        <value field="anbieter.maxwildcards"/>
    	<value field="angebote.wildcard" link="anbieter.maxwildcards"/>
    	<value field="kunden.wildcard" link="anbieter.maxwildcards"/>
     </limit>
   </service>	
    <service name="atdomain" off="0">
      <limit type="max" unlimit="-1">
        <value field="anbieter.maxatdomains"/>
		<value field="angebote.maxatdomains" link="anbieter.maxatdomains"/>
		<value field="kunden.maxatdomains" link="anbieter.maxatdomains"/>
      </limit>
    </service>	
    <service name="subdomains" on="1" off="0"> 
      <flag field="admin.subdomains"/>
      <limit type="max">
	<flag field="anbieter.maxsubdomainslimit"/>
	<value field="anbieter.maxsubdomains"/>
	<value field="angebote.maxsubdomains" link="anbieter.maxsubdomains"/>
	<value field="kunden.maxsubdomains" link="anbieter.maxsubdomains"/>
      </limit>	
    </service>  
    <service name="mysql" on="1" off="0"> 
       <flag field="admin.mysql"/>
       <limit type="max">
          <flag field="anbieter.maxmysqllimit"/>
	  <value field="anbieter.maxmysql"/>
          <value field="angebote.maxmysq" link="anbieter.maxmysql"/>
       </limit>
    </service>  
   <service name="php" on="1" off="0"> 
     <flag field="admin.php"/>
     <flag field="anbieter.php" link="admin.php"/>
     <flag field="angebote.php" link="anbieter.php"/>
     <flag field="kunden.php" link="anbieter.php"/>
   </service>  
   <service name="perl" on="1" off="0"> 
     <flag field="admin.perl"/>
     <flag field="anbieter.perl" link="admin.perl"/>
     <flag field="angebote.perl" link="anbieter.perl"/>
     <flag field="kunden.perl" link="anbieter.perl"/>
   </service>  
   <service name="modpython" on="1" off="0"> 
     <flag field="admin.modpython"/>
     <flag field="anbieter.modpython" link="admin.modpython"/>
     <flag field="angebote.modpython" link="anbieter.modpython"/>
     <flag field="kunden.modpython" link="anbieter.modpython"/>
   </service>  
   <service name="ssi" on="1" off="0"> 
     <flag field="admin.ssi"/>
     <flag field="anbieter.ssi" link="admin.ssi"/>
     <flag field="angebote.ssi" link="anbieter.ssi"/>
     <flag field="kunden.ssi" link="anbieter.ssi"/>
   </service>  
   <service name="cssl" on="1" off="0"> 
	<flag field="admin.cssl"/>
  	<flag field="anbieter.cssl" link="admin.cssl"/>
   </service>  
   <service name="frontpage" on="1" off="0"> 
     <flag field="admin.frontpage"/>
     <flag field="anbieter.frontpage" link="admin.frontpage"/>
     <flag field="kunden.frontpage" link="admin.frontpage"/>
   </service>  
   <service name="shell" on="1" off="0"> 
     <flag field="admin.shell"/>
     <flag field="anbieter.shell" link="admin.shell"/>
     <flag field="angebote.shell" link="anbieter.shell"/>
     <flag field="kunden.shell" link="anbieter.shell"/>
   </service>  
   <service name="statistik" on="1" off="0"> 
     <flag field="admin.statistik"/>
     <flag field="anbieter.statistik" link="admin.statistik"/>
     <flag field="angebote.statistik" link="anbieter.statistik"/>
     <flag field="kunden.statistik" link="anbieter.statistik"/>
   </service>  
   <service name="pwschutz" on="1" off="0"> 
     <flag field="admin.pwschutz"/>
     <flag field="anbieter.pwschutz" link="admin.pwschutz"/>
     <flag field="angebote.pwschutz" link="anbieter.pwschutz"/>
     <flag field="kunden.pwschutz" link="anbieter.pwschutz"/>
   </service>  
   <service name="fehlerseiten" on="1" off="0"> 
     <flag field="admin.fehlerseiten"/>
     <flag field="anbieter.fehlerseiten" link="admin.fehlerseiten"/>
     <flag field="angebote.fehlerseiten" link="anbieter.fehlerseiten"/>
     <flag field="kunden.fehlerseiten" link="anbieter.fehlerseiten"/>
   </service>  
   <service name="webftp" on="1" off="0"> 
     <flag field="admin.webftp"/>
     <flag field="anbieter.webftp" link="admin.webftp"/>
     <flag field="angebote.webftp" link="anbieter.webftp"/>
     <flag field="kundnen.webftp" link="anbieter.webftp"/>
   </service>  
   <service name="webmail" on="1" off="0"> 
     <flag field="admin.webmail"/>
     <flag field="anbieter.webmail" link="admin.webmail"/>
     <flag field="angebote.webmail" link="anbieter.webmail"/>
     <flag field="kunden.webmail" link="anbieter.webmail"/>
   </service>  
   <service name="phpmyadmin" on="1" off="0"> 
     <flag field="admin.phpmyadmin"/>
   </service>  
   <service name="quota" on="1" off="0"> 
     <flag field="admin.quota"/>
     <flag field="kunden.quota" link="admin.quota"/>
   </service>  
   <service name="autoresponder">
     <flag field="admin.autoresponder"/>
     <limit type="max"  unlimit="-1">
       <flag field="anbieter.maxautoresponderlimit"/>
       <value field="anbieter.maxautoresponder"/>
       <value field="angebote.maxautoresponder" link="anbieter.maxautoresponder"/>
       <value field="kunden.maxautoresponder" link="anbieter.maxautoresponder"/>
     </limit>  
   </service>
   <service name="stdcgi" on="1" off="0"> 
     <flag field="admin.stdcgi"/>
     <flag field="anbieter.stdcgi" link="admin.stdcgi"/>
     <flag field="angebote.stdcgi" link="anbieter.stdcgi"/>
     <flag field="kunden.stdcgi" link="anbieter.stdcgi"/>
   </service>  
   <service name="stddomain" on="1" off="0"> 
	  <flag field="admin.stddomain"/>
   </service>  
   <service name="asp" on="1" off="0"> 
     <flag field="admin.asp"/>
     <flag field="anbieter.asp" link="admin.asp"/>
     <flag field="angebote.asp" link="anbieter.asp"/>
     <flag field="kunden.asp" link="anbieter.asp"/>
   </service>  
   <service name="wap" on="1" off="0"> 
     <flag field="admin.wap"/>
     <flag field="anbieter.wap" link="admin.wap"/>
     <flag field="angebote.wap" link="anbieter.wap"/>
     <flag field="kunden.wap" link="anbieter.wap"/>
   </service>  
   <service name="coldfusion" on="1" off="0"> 
     <flag field="admin.coldfusion"/>
     <flag field="anbieter.coldfusion" link="admin.coldfusion"/>
     <flag field="angebote.coldfusion" link="anbieter.coldfusion"/>
     <flag field="kunden.coldfusion" link="anbieter.coldfusion"/>
   </service>  
   <service name="dirlist" on="1" off="0"> 
     <flag field="admin.dirlist"/>
     <flag field="anbieter.dirlist" link="admin.dirlist"/>
     <flag field="angebote.dirlist" link="anbieter.dirlist"/>
     <flag field="kunden.dirlist" link="anbieter.dirlist"/>
   </service>  
   <service name="logcopy" on="1" off="0">
     <flag field="anbieter.logcopy"/>
     <flag field="kunden.logcopy" link="anbieter.logcopy"/>
   </service>  
		
  <service name="phpupload" on="1" off="0"> 
    <flag field="admin.phpupload"/>
    <flag field="anbieter.phpupload" link="admin.phpupload"/>
    <flag field="kunden.phpupload" link="admin.phpupload"/>
  </service>  
   <service name="dbext" on="1" off="0"> 
     <flag field="anbieter.dbext"/>
   </service>  

   <service name="dns" on="1" off="0"> 
	  <flag field="admin.dns"/>
  	<flag field="anbieter.dns" link="admin.dns"/>
   </service>  
   <service name="dnr" on="1" off="0"> 
	  <flag field="admin.dnr"/>
  	<flag field="anbieter.dnr" link="admin.dnr"/>
   </service>  
   <service name="spamfilter" on="1" off="0"> 
	<flag field="admin.spamfilter"/>
  	<flag field="anbieter.spamfilter" link="admin.spamfilter"/>
  	<flag field="angebote.spamfilter" link="anbieter.spamfilter"/>
   </service>  
   <service name="postconf" on="1" off="0"> 
	  <flag field="admin.postconf"/>
   </service>  
   <service name="business" on="1" off="0"> 
	  <flag field="admin.business"/>
   </service>  
   <service name="checkupdates" on="1" off="0"> 
	  <flag field="admin.checkupdates"/>
   </service>  
   <service name="cronjobs" on="1" off="0"> 
     <flag field="admin.cronjobs"/>
     <limit type="max">
       <flag field="anbieter.maxcronjobslimit"/>
       <value field="anbieter.maxcronjobs"/> 
       <value field="angebote.maxcronjobs" link="anbieter.maxcronjobs"/> 
       <value field="kunden.maxcronjobs" link="anbieter.maxcronjobs"/> 
     </limit>
   </service>  
   <service name="majordomo" on="1" off="0"> 
	  <flag field="admin.majordomo"/>
   </service>  
   <service name="idn" on="1" off="0"> 
     <flag field="admin.idn"/>
     <limit type="max">
       <flag field="anbieter.maxidnlimit"/>
       <value field="anbieter.maxidn"/>
       <value field="angebote.maxidn" link="anbieter.maxidn"/> 
       <value field="kunden.maxidn" link="anbieter.maxidn"/> 
     </limit> 
   </service>  
   <service name="scponly" on="1" off="0"> 
     <flag field="admin.scponly"/>
     <flag field="anbieter.scponly" link="admin.scponly"/>
     <flag field="angebote.scponly" link="anbieter.scponly"/>
     <flag field="kunden.scponly" link="anbieter.scponly"/>
   </service>  
    <service name="oldskins" on="1" off="0"> 
	  <flag field="admin.oldskins"/>
    </service>  
    <service name="custom_skins" on="1" off="0"> 
	  <flag field="anbieter.custom_skins"/>
    </service>  
    <service name="maillist">
	<limit type="max">
	  <flag field="anbieter.maxmaillistlimit"/>
	  <value field="anbieter.maxmaillist"/>
	  <value field="angebote.maxmaillist" link="anbieter.maxmaillist"/>
	  <value field="kunden.maxmaillist" link="anbieter.maxmaillist"/>
	</limit>
    </service>  
    <service name="domains">
      <limit type="max" unlimit="-1">
        <flag field="anbieter.maxdomainslimit"/>
        <value field="anbieter.maxdomains"/>
        <value field="kunden.countdomains" link="anbieter.maxdomains"/>
      </limit>
    </service>  
    <service name="transfer">
      <limit type="max" unlimit="-1">
        <value field="anbieter.maxtransfer"/>
        <value field="angebote.maxtransfer" link="anbieter.maxtransfer"/>
        <value field="kunden.maxtransfer" link="anbieter.maxtransfer"/>
      </limit>
    </service>
  </service_set>	
  <files>
	<section name="user" base="$user_homeDir$/#user.name#" each="#user.name#" rule="user(*).content">
	  <dir name="files"/>
	  <dir name="html">
		<exclude path="#pwschutz.pfad#/.htaccess" where="#pwschutz.kunde# = '$each$'" />
		<exclude path="#pwschutz.pfad#/.htpasswd" where="#pwschutz.kunde# = '$each$'" />
		<exclude path="#fehlermeldungen.pfad#/.htaccess" 
			where="#fehlermeldungen.kunde# = '$each$'" />
		<exclude path="#fehlermeldungen.pfad#/.htpasswd" 
			where="#fehlermeldungen.kunde# = '$each$'" />
		<delete path="index.html"/>	
	  </dir>
	  <dir name="log"/>
	  <dir name="backup"/>
	  <dir name="restore"/>
	</section>
	<section name="majordomo" base="$majordomo_ldir$/#domain.id#" each="#domain.id#" 
	  service="majordomo" rule="maillist(*).default">
	  <dir name="archive"/>
	  <dir name="digest_work"/>
	  <dir name="lists"/>
	</section>
	<section name="cgi" base="$installDir$/cgi">
	  <dir name="html"/>
	  <file name="aendern" type="append" key="1" separator=":" />
	</section>
	<section name="spoolbox" base="$mailSpool$" each="#user.name#" 
  	  rule="user(*).mailbox" if="$maildrop$ = '' or  $maildrop$ like '%USER'">
	  <file name="#user.name#" type="append" noempty="yes"/>
	</section>  
	<section name="mailbox" base="$user_homeDir$/#user.name#" each="#user.name#" 
  	  rule="user(*).mailbox" if="$maildrop$ like '%Mailbox'">
	  <file name="Mailbox" type="append" noempty="yes"/>
	</section>  
	<section name="maildir" base="$pop_homeDir$/#user.name#" each="#user.name#" 
  	  rule="user(*).mailbox" if="$maildrop$ like '%Maildir/'">
	  <dir name="Maildir"/>
	</section>  
	<section name="skins" base="$confixx_htmlDir$" each="#custom_skins.path#" rule="skins(*).default">
	  <dir name="#custom_skins.path#"/>
	</section>  
  </files>
</confixx>
